﻿using System.Windows;
using System.Windows.Controls;

namespace FluidItemsControl
{
    public class FluidableItemsControl : ItemsControl
    {
        public static readonly DependencyProperty ItemContainerStyleProperty =
            DependencyProperty.Register("ItemContainerStyle",
                typeof(Style),
                typeof(FluidableItemsControl),
                new PropertyMetadata(null));

        public Style ItemContainerStyle
        {
            set { SetValue(ItemContainerStyleProperty, value); }
            get { return (Style)GetValue(ItemContainerStyleProperty); }
        }

        protected override DependencyObject GetContainerForItemOverride()
        {
            ListBoxItem container = new ListBoxItem();

            if (ItemContainerStyle != null)
                container.Style = ItemContainerStyle;

            return container;
        }

        protected override bool IsItemItsOwnContainerOverride(object item)
        {
            return item is ListBoxItem;
        }
    }
}
