﻿// FluidItemsControl by Charles Petzold, April 2010
using System;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Windows;
using System.Windows.Controls;
using ProduceItemsLib;

namespace FluidItemsControl
{
    public partial class MainPage : UserControl
    {
        ProduceItemsPresenter produceItemsPresenter;
        Random rand = new Random();

        public MainPage()
        {
            InitializeComponent();

            produceItemsPresenter = new ProduceItemsPresenter();
            produceItemsPresenter.PropertyChanged += OnProduceItemsPresenterPropertyChanged;
            produceItemsPresenter.Load();
        }

        void OnProduceItemsPresenterPropertyChanged(object sender, PropertyChangedEventArgs args)
        {
            addButton.IsEnabled = true;
        }

        void OnAddButtonClick(object sender, RoutedEventArgs args)
        {
            ObservableCollection<ProduceItem> produceItems = produceItemsPresenter.ProduceItems.Items;
            itemsControl.Items.Add(produceItems[rand.Next(produceItems.Count)]);
            removeButton.IsEnabled = true;
        }

        void OnRemoveButtonClick(object sender, RoutedEventArgs args)
        {
            ItemCollection items = itemsControl.Items;
            int count = items.Count;
            itemsControl.Items.Remove(items[rand.Next(count)]);
            removeButton.IsEnabled = count > 1;
        }
    }
}
